### robocode

# Class BulletMissedEvent

- `java.lang.Object`
- - `robocode.Event`
  - - `robocode.BulletMissedEvent`

Implemented Interfaces:
  Comparable, Serializable

`public final class BulletMissedEvent`
`extends Event`

This event is sent to `onBulletMissed` when one of your bullets has missed, i.e. when the bullet has reached the border of the battlefield.

Author:
  Mathew A. Nelson (original)

  ## Constructor Summary

  `BulletMissedEvent(Bullet bullet)`
    Called by the game to create a new `BulletMissedEvent`.

  ## Method Summary

  `Bullet`

  `getBullet()`
    Returns the bullet that missed.

  ### Methods inherited from class robocode.Event

  `compareTo`, `getPriority`, `getTime`

## Constructor Details

### BulletMissedEvent

    public BulletMissedEvent(Bullet bullet)

> Called by the game to create a new `BulletMissedEvent`.
> Parameters:
>   `bullet` - the bullet that missed

## Method Details

### getBullet

    public Bullet getBullet()

> Returns the bullet that missed.
> Returns:
>   the bullet that missed